<?php
/**
 *  File for the ActionControllerErrorTest class
 *
 * (PHP 5)
 *
 * @package PHPonTraxTest
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 * @copyright (c) Walter O. Haas 2006
 * @version $Id$
 * @author Walt Haas <haas@xmission.com>
 */

echo "testing ActionControllerError\n";
require_once 'testenv.php';

// Call ActionControllerErrorTest::main() if this source file is executed directly.
if (!defined("PHPUnit2_MAIN_METHOD")) {
    define("PHPUnit2_MAIN_METHOD", "ActionControllerErrorTest::main");
}

require_once "PHPUnit2/Framework/TestCase.php";
require_once "PHPUnit2/Framework/TestSuite.php";

// You may remove the following line when all tests have been implemented.
require_once "PHPUnit2/Framework/IncompleteTestError.php";

require_once "trax_exceptions.php";

/**
 * Test class for ActionControllerError.
 * Generated by PHPUnit2_Util_Skeleton on 2006-03-01 at 13:17:49.
 */
class ActionControllerErrorTest extends PHPUnit2_Framework_TestCase {
    /**
     * Runs the test methods of this class.
     *
     * @access public
     * @static
     */
    public static function main() {
        require_once "PHPUnit2/TextUI/TestRunner.php";

        $suite  = new PHPUnit2_Framework_TestSuite("ActionControllerErrorTest");
        $result = PHPUnit2_TextUI_TestRunner::run($suite);
    }

    /**
     * Sets up the fixture, for example, open a network connection.
     * This method is called before a test is executed.
     *
     * @access protected
     */
    protected function setUp() {
    }

    /**
     * Tears down the fixture, for example, close a network connection.
     * This method is called after a test is executed.
     *
     * @access protected
     */
    protected function tearDown() {
    }


    /**
     *  Test exception with default value of code
     */
    public function testDefault_code() {
        try {
            throw new ActionControllerError('text1','text2');
        }
        catch(Exception $e) {
            $this->assertTrue(is_a($e,'ActionControllerError'));
            $this->assertEquals('text1',$e->getMessage());
            $this->assertEquals('text1',$e->error_message);
            $this->assertEquals('text2',$e->error_heading);
            $this->assertEquals('500',$e->error_code);
            return;
        }
        $this->fail('ActionControllerError exception with default code not raised');
    }

    /**
     *  Test exception with specified of code
     */
    public function testSpecified_code() {
        try {
            throw new ActionControllerError('text3','text4', 250);
        }
        catch(Exception $e) {
            $this->assertTrue(is_a($e,'ActionControllerError'));
            $this->assertEquals('text3',$e->getMessage());
            $this->assertEquals('text3',$e->error_message);
            $this->assertEquals('text4',$e->error_heading);
            $this->assertEquals(250,$e->error_code);
            return;
        }
        $this->fail('ActionControllerError exception with code 250 not raised');
    }

}

// Call ActionControllerErrorTest::main() if this source file is executed directly.
if (PHPUnit2_MAIN_METHOD == "ActionControllerErrorTest::main") {
    ActionControllerErrorTest::main();
}

// -- set Emacs parameters --
// Local variables:
// tab-width: 4
// c-basic-offset: 4
// c-hanging-comment-ender-p: nil
// indent-tabs-mode: nil
// End:
?>
